CADDIT CAD CAM CNC Software - download AutoCAD compatible design software progeCAD Alibre T-FLEX and more
CADDIT Website Knowledge Base Search:
CL

progeCAD Help

CR
Welcome to progeCAD
Working with progeCAD
Command Reference
CAD System Variables
Programming progeCAD
Full Index (caution - 400kb)

Further Links:

Download progeCAD
Register progeCAD

Learning

T-FLEX PLM tutorial (PDF)
progeCAD IntelliCAD and AutoCAD training 
CATIA 2D 3D design tutorial
Alibre CAD/CAM basic tutorial

Resources

Educational CAD Software Solutions
Python scripting for DOS and Windows
Other free software downloads
CADDIT CAD CAM Forum Australia
__

RemoveItems method example

Private Sub RemoveItemsExample()

' This example creates a selection set, and a line and circle objects.

' It then adds the objects to the selection set and removes them.

     

     Dim ssetObj As progeCAD.SelectionSet

     Dim I As Integer

     Dim lineObj As progeCAD.Line

     Dim startPoint As progeCAD.Point

     Dim endPoint As progeCAD.Point

     Dim circObj As progeCAD.Circle

     Dim centerPt As progeCAD.Point

     Dim radius As Double

     Dim ssetName

     ssetName = InputBox("Type a name for the selection set:")

     Set ssetObj = ThisDocument.SelectionSets.Add(ssetName)

          

     ' Create a line object in model space

     Set startPoint = Library.CreatePoint(3, 1, 0)

     Set endPoint = Library.CreatePoint(5, 5, 0)

     Set lineObj = ThisDocument.ModelSpace.AddLine(startPoint, endPoint)

     

     ' Create a circle object in model space

     Set centerPt = Library.CreatePoint(3, 1, 0)

     radius = 5

     Set circObj = ThisDocument.ModelSpace.AddCircle(centerPt, radius)

     ' Collect the objects into an array of objects

     ' to be added to the selection set.

     ReDim ssobjs(1 To ThisDocument.ModelSpace.Count) As progeCAD.Entity

For I = 1 To ThisDocument.ModelSpace.Count

          Set ssobjs(I) = ThisDocument.ModelSpace.Item(I)

Next I

 

     ' Add the array of objects to the selection set

     ssetObj.AddItems ssobjs

     MsgBox "No. of items in sel. set = " & ssetObj.Count

     ssetObj.RemoveItems ssobjs

End Sub

CADDIT® is a registered trademark in Australia. All Rights Reserved. Comments concerning the content of this site should be addressed to our webmaster. progeCAD is a trademark of ProgeCAD srl. Autodesk® and AutoCAD® are both registered trademarks or trademarks of a third party, and used only for comparison purposes. All other trademarks, trade names or company names referenced herein are used for identification only and are the property of their respective owners. Legal and Terms of Use. Google. Find us on Google+.